#ifndef PM_HDU_GENERATE_H
#define PM_HDU_GENERATE_H

#include "pmFPA.h"

// Generate an HDU for a cell with pixels
bool pmHDUGenerateForCell(pmCell *cell  // The cell for which to generate an HDU
                         );

// Generate an HDU for a cell with pixels
bool pmHDUGenerateForChip(pmChip *chip  // The chip for which to generate an HDU
                         );

// Generate an HDU from an FPA with pixels
bool pmHDUGenerateForFPA(pmFPA *fpa     // The fpa for which to generate an HDU
                        );


#endif
